.
Results 1 to 5 of 5

Thread: Old 3rd party content in new Trainz versions .

  1. #1

    Question Old 3rd party content in new Trainz versions .

    Which version should i install if i want to play routes that created for example for TS12 ?

    TANE , TRS19 or TRS22 ?

  2. #2
    Join Date
    Nov 2006
    Location
    Australia, NSW, Sydney
    Posts
    9,345
    Blog Entries
    3
     

    Default

    All TRS19 content should run in 22, Most (if not all) TANE content should also run. TS12 is less likely but many should run.

    Most if not all TANE content should run in TRS19. Most TS12 content, with less certainty, should also run in TRS19.

    Most TS12 content will run in TANE.

    There will always be examples of assets in routes and sessions that "seemed" to work fine in older Trainz versions that either will not work in the latest versions or will cause performance issues. In reality, many of these assets only "seemed" to work because Trainz in the past has been very loose with standards and enforcement.

    In the early days, for example, config.txt files that had incorrect, poorly formatted and even incorrectly spelt tags, were accepted (but those tags were usually ignored). Thankfully, not today where even a missing thumbnail image will cause a rejection. The standards have, at long last, been tightened up but there is till a way to go. Some asset features, such as LODs (level of detail), are still optional in the latest versions but will, eventually, become mandatory.
    Last edited by pware; August 14th, 2022 at 05:09 AM.
    Development: Trainz Plus - b117699
    Testing: Trainz Plus beta - b118872
    GTX1050Ti, RTX3060Ti and RTX3050Ti, Win 10 & 11

  3. #3
    Join Date
    Nov 2006
    Location
    United States of America, Michagain, Berkley
    Posts
    5,954
    Blog Entries
    6
     

    Default

    Note Speedtrees type 5 will not work after type 8 came out.

  4. #4

    Default

    Looks like i have to install multiply versions of the game if i want to play old routes without any errors or spending hours to fix them . =(

  5. #5

    Default

    Quote Originally Posted by whitepass View Post
    Note Speedtrees type 5 will not work after type 8 came out.
    We are still on speedtree v6, thank goodness. Really don't want another upgrade after the last forced upgrade when T:ANE launched.

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •